> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new list



## OpenAPI

````yaml post /lists
openapi: 3.0.0
info:
  title: Channel Manager API
  version: 0.1.0
  description: >-
    Official API documentation for Channel Manager. All endpoints are protected
    by an API key.
servers:
  - url: https://channels-service-alpha.fourvenues.com
    description: Test server
  - url: https://channels-service.fourvenues.com
    description: Production server
security: []
tags: []
paths:
  /lists:
    post:
      tags:
        - Lists
      summary: Create a new list
      operationId: createLists
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                send_notification:
                  type: boolean
                  description: Notify the QR for list
                  example: false
                  default: false
                list_rate_id:
                  type: string
                  description: List rate id of a list.
                  example: 5f8d0f8b9d2b3b0017b6d8a0
                list:
                  type: object
                  properties:
                    qr_code:
                      type: string
                      description: >-
                        QRCode. Optional. If not provided, it will be generated
                        automatically.
                      example: ABCDE12345
                    observations_referral:
                      type: string
                      description: Observations referral
                      example: Observations...
                    for:
                      type: number
                      description: Number of appointed people in list
                      example: 5
                    full_name:
                      type: string
                      description: >-
                        Full name of a list. May be required depending on the
                        settings of the list rate.
                      example: John Doe
                    email:
                      type: string
                      description: >-
                        Email of a list. May be required depending on the
                        settings of the list rate.
                      example: john@fourvenues.com
                    language:
                      type: string
                      description: >-
                        Language of the appointed people. Available languages
                        en, ca, fr, es, nl and it
                      example: en
                      default: es
              required:
                - list_rate_id
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/List'
                  success:
                    type: boolean
        '401':
          description: Unauthorized
      security:
        - ApiKey: []
components:
  schemas:
    List:
      type: object
      properties:
        _id:
          type: string
          example: '1643064796675'
        event_id:
          type: string
          example: '1643064796675'
        list_rate_id:
          type: string
          example: '1643064796675'
        total_men:
          type: integer
          example: 3
        total_women:
          type: integer
          example: 2
        total_no_gender:
          type: integer
          example: 0
        prices:
          type: array
          items:
            $ref: '#/components/schemas/ListPrice'
        channel_id:
          type: string
          example: '1643064796675'
        qr_code:
          type: string
          example: P3SQ1TFSK
        full_name:
          type: string
          example: John Doe
        email:
          type: string
          format: email
          example: email@email.com
        tags:
          type: array
          items:
            type: string
            example: Free drink
        for:
          type: integer
          example: 5
        enter:
          type: integer
          example: 5
        language:
          type: string
          example: es
        observations_referral:
          type: string
          example: asdfghjkl123456
        observations_reception:
          type: string
          example: ''
        entry_time:
          type: string
          format: date-time
          example: '2024-09-04T07:32:26.000Z'
        raised:
          type: number
          format: float
          example: 153
    ListPrice:
      type: object
      properties:
        _id:
          type: string
          example: '1683803249490'
        men:
          type: integer
          example: 2
        women:
          type: integer
          example: 1
        no_gender:
          type: integer
          example: 0
        price:
          type: number
          format: float
          example: 50
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````